Bug 1252916 - [RFE] Preupgrade-assistant should provide a partition layout to kickstart
[RFE] Preupgrade-assistant should provide a partition layout to kickstart
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Petr Hracek
Michal Kovarik
: Extras, FutureFeature
Depends On: 1248472 1260005 1260008 1261481 1261483
  Show dependency treegraph
Reported: 2015-08-12 09:48 EDT by Petr Hracek
Modified: 2015-11-19 20:41 EST (History)
7 users (show)

See Also:
Fixed In Version: preupgrade-assistant-2.1.1-1.el6
Doc Type: Enhancement
Doc Text:
Previously, the kickstart file generated by the preupgrade assistant did not contain any information on the partitioning layout. The content in this bug fix generates a information on the partitioning, and includes it in the kickstart file.
Story Points: ---
Clone Of:
Last Closed: 2015-11-19 20:41:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Hracek 2015-08-12 09:48:59 EDT
Description of problem:
Nowadays, kickstart file generated by preupgrade-assistant doesn't contain any partitioning layout yet.

preupgrade-assistant should be able to generate a partitioning and attach it to kickstart file.

Supported partitions are:
- clasical devices without LVM/RAID
- LVM devices
- RAID devices
Comment 2 Petr Hracek 2015-08-12 10:12:11 EDT
This is fixed by commits:


With those two commits preupgrade-assistant is able to generate a kickstart with partitioning.
Comment 4 Michal Kovarik 2015-09-04 04:32:27 EDT
Do not use fstype, let customer choose.
Comment 6 Michal Kovarik 2015-09-09 03:26:36 EDT
created partitioning layout should be included as well:
%include /tmp/part-include

Version-Release number of selected component (if applicable):
Comment 7 Petr Hracek 2015-09-09 05:47:45 EDT
This issues is fixed by upstream commit https://github.com/phracek/preupgrade-assistant/commit/bebd080f4a70f7339164582d215ce7aaa98c6bc9
Comment 9 Michal Kovarik 2015-09-15 08:18:57 EDT
Verified on preupgrade-assistant-2.1.1-2.el6.

Tested scenarios:
- clasical devices without LVM/RAID
- LVM devices
- RAID devices

- UEFI system - bug 1263244.
Comment 11 errata-xmlrpc 2015-11-19 20:41:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.